---
- hosts: localhost
  gather_facts: true
  connection: local

  collections:
    - community.kubernetes

  pre_tasks:
    - name: Determine c4i-storybook commit sha
      tags:
        - dev
        - prod
      shell: cd ./c4i-storybook && git rev-parse --short=8 HEAD
      register: c4i_storybook_commit_hash

    - name: Determine c4i-nginx-esgfsearch commit sha
      tags:
        - dev
        - prod
      shell: cd ./c4i-nginx-esgfsearch && git rev-parse --short=8 HEAD
      register: c4i_esgfsearch_commit_hash

    - name: Determine c4i-openid-relay commit sha
      tags:
        - dev
        - prod
      shell: cd ./c4i-openid-relay && git rev-parse --short=8 HEAD
      register: relay_commit_hash

    - name: Set protocol https
      tags:
        - prod
      shell: echo https
      register: protocol

    - name: Set protocol http
      tags:
        - dev
      shell: echo http
      register: protocol

    - name: Set minikube ip
      tags:
        - dev
      command: minikube -p {{ minikube_profile }} ip
      register: minikube_ip
      ignore_errors: true

  vars:
    minikube_profile: minikube
    NAMESPACE: c4i
    kube_config: "{{ ansible_env.HOME }}/.kube/config"
    c4i_esgfsearch_short_sha: "{{ c4i_esgfsearch_commit_hash.stdout }}"
    c4i_storybook_short_sha: "{{ c4i_storybook_commit_hash.stdout }}"
    relay_short_sha: "{{ relay_commit_hash.stdout }}"
    openid_hostname: "{{ lookup('env', 'OPENID_HOSTNAME') }}"
    c4i_hostname: "{{ lookup('env', 'C4I_HOSTNAME') }}"
    notebook_hostname: "{{ lookup('env', 'NOTEBOOK_HOSTNAME') }}"
    openid_base_url: "{{ protocol.stdout }}://{{ openid_hostname or minikube_ip.stdout }}"
    matomo_site_id_env: "{{ lookup('env', 'MATOMO_SITE_ID') }}"
    matomo_url_env: "{{ lookup('env', 'MATOMO_URL') }}"
    matomo_site_id: "{{ matomo_site_id_env or '1' }}"
    matomo_url: "{{ matomo_url_env or 'http://localhost' }}"
    c4i_base_url: "{{ protocol.stdout }}://{{ c4i_hostname or minikube_ip.stdout }}"
    notebook_base_url: "{{ protocol.stdout }}://{{ notebook_hostname or minikube_ip.stdout }}"

  roles:
    - role: ./roles/c4i-frontend
    - role: ./c4i-openid-relay/roles/c4i-openid
